package com.hzya.frame.sys.roleModule.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.roleModule.dao.IRoleModuleMapper;
import com.hzya.frame.sys.roleModule.entity.RoleModule;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 角色菜单  dao
 * @tableName: sys_role_module
 * @entityName: RoleModule
 * @author: gjh
 * @history:1.0
 */
@Service
public class RoleModuleMapperImpl extends MybatisGenericDao<RoleModule, String> implements IRoleModuleMapper {

    @Override
    public RoleModule entity_get(String id) {
        RoleModule o = (RoleModule) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<RoleModule> entity_list_base(RoleModule entity) {

        List<RoleModule> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<RoleModule> getByUserId(RoleModule entity) {
        List<RoleModule> o = super.query(getSqlIdPrifx() + "getByUserId", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(RoleModule entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<RoleModule> entity_list_like(RoleModule entity) {

        List<RoleModule> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<RoleModule> entity_list_or(RoleModule entity) {

        List<RoleModule> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public RoleModule entity_insert(RoleModule entity) {
        RoleModule o = super.save(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(RoleModule entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(RoleModule entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(RoleModule entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(RoleModule entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
